Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/node-sodium: new aport

From: Corey Oliver <corey.jon.oliver_at_gmail.com>
Date: Fri, 6 Jan 2017 18:10:54 -0600

---
Changes v1 -> v2:
 - use the built-in abuild function default_prepare
 testing/node-sodium/APKBUILD                | 48 +++++++++++++++++++++++++++++
 testing/node-sodium/fix-gyp-binding.patch   | 11 +++++++
 testing/node-sodium/remove-preinstall.patch | 10 ++++++
 3 files changed, 69 insertions(+)
 create mode 100644 testing/node-sodium/APKBUILD
 create mode 100644 testing/node-sodium/fix-gyp-binding.patch
 create mode 100644 testing/node-sodium/remove-preinstall.patch
diff --git a/testing/node-sodium/APKBUILD b/testing/node-sodium/APKBUILD
new file mode 100644
index 0000000..b96b409
--- /dev/null
+++ b/testing/node-sodium/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Corey Oliver <coreyjonoliver_at_gmail.com>
+# Maintainer: Corey Oliver <coreyjonoliver_at_gmail.com>
+pkgname=node-sodium
+_pkgname=sodium
+pkgver=1.2.3
+pkgrel=0
+pkgdesc="Port of the lib sodium encryption library to Node.js"
+url="https://github.com/paixaop/node-sodium"
+arch="all"
+license="MIT"
+depends="nodejs libsodium=1.0.11-r0"
+makedepends="libsodium-dev=1.0.11-r0 python2"
+source="$pkgname-$pkgver.tar.gz::https://github.com/paixaop/$pkgname/archive/$pkgver.tar.gz
+fix-gyp-binding.patch
+remove-preinstall.patch
+"
+builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+    default_prepare || return 1
+    update_config_guess || return 1
+}
+
+build() {
+    cd "$builddir"
+    npm install && npm test && npm prune --production
+}
+
+package() {
+    moduledir="$pkgdir/usr/lib/node_modules/$_pkgname"
+
+    mkdir -p "$moduledir"
+    cp "$builddir/index.js" "$moduledir/index.js"
+    cp "$builddir/package.json" "$moduledir/package.json"
+    cp -r "$builddir/node_modules" "$moduledir/node_modules"
+    cp -r "$builddir/build" "$moduledir/build"
+    cp -r "$builddir/lib" "$moduledir/lib"
+}
+
+md5sums="78e091e1dddc608d337d430b635b12ad  node-sodium-1.2.3.tar.gz
+fb3a540514a13bc7038bf477a1388d6c  fix-gyp-binding.patch
+e973e94eaed192b294ac73386c1c5296  remove-preinstall.patch"
+sha256sums="b9f370542a66fc3bdd0c588adbbef38ff517a386cdcfee7178d8c3ac153efca7  node-sodium-1.2.3.tar.gz
+0f7170ecd9ccf3fd3a22c58d1238b2b6ccadf9bcb87b0b8009c1d78a9f5e208b  fix-gyp-binding.patch
+6be7fd58c2298de8266e47bf8861d387300a3a79f54c31436ea770bb5e1588fe  remove-preinstall.patch"
+sha512sums="60dd7e5bf07a87d22d25099caa3814a59175281a352c03cd7d589ba2163013e946e9853609f77be9d4115a0c2fd7a9463afaa1f42f954f6e89a6b6f2fbb238a8  node-sodium-1.2.3.tar.gz
+95b18085d8d2143987dd011dfbd9b3386dae3254f936290f77565788cafb9c98ceb757354cba5a4866d0c6d3d4b95fa9dc9e1de985544358d6446cf0cbf29372  fix-gyp-binding.patch
+f3b90002182d0f1f01fea450469e9d04cd4312479cf57a9742523bc60289704d70ae1e3356d9dee69e291bc86a0d091eee6ce41c288b30b5cbbcd20c44727f83  remove-preinstall.patch"
diff --git a/testing/node-sodium/fix-gyp-binding.patch b/testing/node-sodium/fix-gyp-binding.patch
new file mode 100644
index 0000000..0b32f9a
--- /dev/null
+++ b/testing/node-sodium/fix-gyp-binding.patch
_at_@ -0,0 +1,11 @@
+--- src/binding.gyp
++++ src/binding.gyp
+_at_@ -79,7 +79,7 @@
+       }],
+       ['OS=="linux"', {
+         'libraries': [
+-          '../deps/build/lib/libsodium.a'
++          '/usr/lib/libsodium.so.18.1.1'
+         ]
+       }]
+     ]
diff --git a/testing/node-sodium/remove-preinstall.patch b/testing/node-sodium/remove-preinstall.patch
new file mode 100644
index 0000000..d9b5561
--- /dev/null
+++ b/testing/node-sodium/remove-preinstall.patch
_at_@ -0,0 +1,10 @@
+--- src/package.json
++++ src/package.json
+_at_@ -18,7 +18,6 @@
+   },
+   "scripts": {
+     "test": "make test",
+-    "preinstall": "node install.js --preinstall",
+     "install": "node install.js --install"
+   },
+   "repository": {
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 06 2017 - 18:10:54 GMT